include <MCAD/triangles.scad>

wall_thickness_cover = 2.1;
cube_width = 140/2;
cube_length = 130;

pcb_hole_width = 0.75*25.4;
pcb_hole_length = 1.85*25.4;

$fn = 100;

module screw() {
    cylinder(d=3.5,h=30);
    cylinder(d1=14,d2=7,h=10);
}

difference() {
    union () {
        translate([wall_thickness_cover,wall_thickness_cover,0]) cube([cube_width-wall_thickness_cover*2,130-wall_thickness_cover*2-4+1,4]);
        translate([wall_thickness_cover,130-wall_thickness_cover*1-4+1,4]) rotate([0,90,0]) triangle(3-0.5,4,cube_width-wall_thickness_cover*2);
        translate([cube_width/2-pcb_hole_width/2,6,0]) cylinder(d=4, h=5);
        translate([cube_width/2+pcb_hole_width/2,6,0]) cylinder(d=4, h=5);
        translate([cube_width/2-pcb_hole_width/2,6+pcb_hole_length,0]) cylinder(d=4, h=5);
        translate([cube_width/2+pcb_hole_width/2,6+pcb_hole_length,0]) cylinder(d=4, h=5);
        translate([cube_width/2,70,4]) cylinder(d1=4, d2=14, h=6);
translate([cube_width/2-15,80,4]) cylinder(d1=4, d2=14, h=6);
        translate([cube_width/2+15,80,4]) cylinder(d1=4, d2=14, h=6);
    }
    translate([cube_width/2-pcb_hole_width/2,6,1]) cylinder(d=2.5, h=7);
    translate([cube_width/2+pcb_hole_width/2,6,1]) cylinder(d=2.5, h=7);
    translate([cube_width/2-pcb_hole_width/2,6+pcb_hole_length,1]) cylinder(d=2.5, h=7);
    translate([cube_width/2+pcb_hole_width/2,6+pcb_hole_length,1]) cylinder(d=2.5, h=7);
    translate([4+4,70-63, -7]) screw();
    translate([cube_width-4-8+4,70-63, -7]) screw();
    //translate([cube_width/2-20,cube_length/2-20,2]) cube([40,40,10]);
}
